Page MenuHomePhabricator

Run a bot to reset missing video transcodes
Closed, ResolvedPublic

Description

Followup to T100211 and other past problems with transcodes:

We need to bulk-fix all the transcodes that have been either accidentally removed or failed for some reason to begin with. I would recommend doing this with a client-side bot that can be rate-controlled and doesn't need server access.

Bot can hit the API methods for getting transcode list and for resetting individual transcodes.

Event Timeline

brion created this task.Jun 27 2015, 12:31 PM
brion raised the priority of this task from to Needs Triage.
brion updated the task description. (Show Details)
brion added a subscriber: brion.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJun 27 2015, 12:31 PM
brion claimed this task.Aug 9 2015, 4:15 PM

Assigning to self. Will also need to re-run 360p and 480p .ogv transcodes (from T106995) and add 240p .ogv transcodes once enabled.

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Sep 4 2015, 6:59 PM

240p and 160p have been enabled on ogv.

When is the bot planned to start operating.

TheDJ moved this task from To sort to Transcoding on the TimedMediaHandler board.Oct 21 2015, 7:15 PM
Yann added a subscriber: Yann.Jan 28 2017, 6:18 PM
Dispenser closed this task as Resolved.Feb 6 2017, 4:24 AM
Dispenser added a subscriber: Dispenser.

I've removed 120,000 successful (Vorbis to 720p+ WebM), cleared 370,000 failed transcodes and added 30,000 uninitialized transcodes to the job queue.

TheDJ added a subscriber: TheDJ.Feb 6 2017, 12:18 PM

@Dispenser and services didn't explode ? I'm pleasantly surprised.

Revent added a subscriber: Revent.Feb 6 2017, 6:57 PM